#### D.15.32.3 jordanVecField

Procedure from library `VecField.lib` (see VecField_lib).

Usage:
  jordanVecField(VecField V)

Return:
  new vecfield W in coordinates s.t. W.lin is in Jordan normal form.

Assume:
  eigenvalues of V.lin in basefield.

Example:

    LIB "VecField.lib";
    ring r = 0, (x, y, z),ds;
    vector v = [-1,-1,-1];
    VecField V = v;
    V.precision = 4;
    map phi = r, x-2y2+z3,2y+y3+z,z;
    VecField W = changeCoordinates(V,phi);
    VecField X = jordanVecField(W);

User manual for Singular version 4.4.1, 2025, generated by texi2html.